<?php
// ----------------------------------------------------------------------- Webform inicializálása -----------------------------------------------------------------------

if (!class_exists('Authenticate')) require_once("common_cadline_libraries/crm_test.class.php");

$session    = isset($_GET['session']) ? $_GET['session'] : ''; // Minden csatorna megnyíláskor egyedi kódot kap, ez a publikus kulcs is
$authCode   = isset($_GET['authCode']) ? $_GET['authCode'] : '';

$auth = new Authenticate();
$auth->setAuthCode($authCode);
$auth->setAuthSession($session);
$auth->auth();

$param      = isset($_GET['param']) ? $_GET['param'] : ''; // Encode-olt adat
$privatekey = Webform::GetWebformPrivateKey(); // A privát kulcs lekérdezése
$param      = Webform::decode($privatekey, $session, $param); // Adat decode-olása

if ($session != '') Webform::SetWebformResult($session, '', '', 'Ez lesz az üzenet a felhasználónak', 'Kattints ide');

// ----------------------------------------------------------------------- Webform inicializálása -----------------------------------------------------------------------

echo $param;
?>
<html>

<head></head>

<body>
    <form method="POST" action="progress.php"> <!-- A progress.php dolgozza fel az eredményt -->
        <input type="hidden" name="action" value="sample" />
        <input type="hidden" name="session" value="<?= $session ?>" /> <!-- A session továbbítása a feldolgozáshoz -->
        <input type="text" name="param" value="" /> <!-- Visszaküldendő adat, amennyiben szükséges -->
        <input type="submit" name="result_ok" value="Result OK" /> <!-- A form egyik visszatérési értéke (ha szükséges) -->
        <input type="submit" name="result_cancel" value="Result Cancel" /> <!-- A form másik visszatérési értéke (ha szükséges) -->
    </form>
</body>

</html>